xine-lib: xshm_driver_t Struct Reference

xine-lib 1.2.12

Data Fields
xshm_driver_t Struct Reference

## Data Fields
vo_driver_t | vo_driver
xcb_connection_t * | connection
xcb_screen_t * | screen
xcb_window_t | window
xcb_gcontext_t | gc
int | depth
int | bpp
int | scanline_pad
int | use_shm
int | brightness
int | contrast
int | saturation
uint8_t * | yuv2rgb_cmap
yuv2rgb_factory_t * | yuv2rgb_factory
int | cm_active
int | cm_state
uint8_t | cm_lut [32]
vo_scale_t | sc
xshm_frame_t * | cur_frame
xcbosd * | xoverlay
int | ovl_changed
xine_t * | xine
alphablend_t | alphablend_extra_data
pthread_mutex_t | main_mutex
Display * | display
int | screen
Drawable | drawable
Visual * | visual
GC | gc
int | bytes_per_pixel
int | image_byte_order
XColor | black
x11osd * | xoverlay
int(* | x11_old_error_handler )(Display *, XErrorEvent *)
void(* | lock_display )(void *)
void(* | unlock_display )(void *)
void * | user_data

## Field Documentation

## ◆ alphablend_extra_data

alphablend_t xshm_driver_t::alphablend_extra_data

## ◆ black

XColor xshm_driver_t::black

## ◆ bpp

int xshm_driver_t::bpp

## ◆ brightness

int xshm_driver_t::brightness

## ◆ bytes_per_pixel

int xshm_driver_t::bytes_per_pixel

## ◆ cm_active

int xshm_driver_t::cm_active

## ◆ cm_lut

uint8_t xshm_driver_t::cm_lut

## ◆ cm_state

int xshm_driver_t::cm_state

## ◆ connection

xcb_connection_t* xshm_driver_t::connection

## ◆ contrast

int xshm_driver_t::contrast

## ◆ cur_frame

xshm_frame_t * xshm_driver_t::cur_frame

## ◆ depth

int xshm_driver_t::depth

## ◆ display

Display* xshm_driver_t::display

## ◆ drawable

Drawable xshm_driver_t::drawable

## ◆ gc [1/2]

xcb_gcontext_t xshm_driver_t::gc

## ◆ gc [2/2]

GC xshm_driver_t::gc

## ◆ image_byte_order

int xshm_driver_t::image_byte_order

## ◆ lock_display

void(* xshm_driver_t::lock_display) (void *)

## ◆ main_mutex

pthread_mutex_t xshm_driver_t::main_mutex

## ◆ ovl_changed

int xshm_driver_t::ovl_changed

## ◆ saturation

int xshm_driver_t::saturation

## ◆ sc

vo_scale_t xshm_driver_t::sc

## ◆ scanline_pad

int xshm_driver_t::scanline_pad

## ◆ screen [1/2]

xcb_screen_t* xshm_driver_t::screen

## ◆ screen [2/2]

int xshm_driver_t::screen

## ◆ unlock_display

void(* xshm_driver_t::unlock_display) (void *)

## ◆ use_shm

int xshm_driver_t::use_shm

## ◆ user_data

void* xshm_driver_t::user_data

## ◆ visual

Visual* xshm_driver_t::visual

## ◆ vo_driver

vo_driver_t xshm_driver_t::vo_driver

## ◆ window

xcb_window_t xshm_driver_t::window

## ◆ x11_old_error_handler

int(* xshm_driver_t::x11_old_error_handler) (Display *, XErrorEvent *)

## ◆ xine

xine_t * xshm_driver_t::xine

## ◆ xoverlay [1/2]

xcbosd* xshm_driver_t::xoverlay

## ◆ xoverlay [2/2]

x11osd* xshm_driver_t::xoverlay

## ◆ yuv2rgb_cmap

uint8_t * xshm_driver_t::yuv2rgb_cmap

## ◆ yuv2rgb_factory

yuv2rgb_factory_t * xshm_driver_t::yuv2rgb_factory

The documentation for this struct was generated from the following files:

- xine-lib-1.2.12/src/video_out/video_out_xcbshm.c
- xine-lib-1.2.12/src/video_out/video_out_xshm.c